Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0021886
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformmajorhave not tried2012-10-09 09:292012-11-28 19:09
ReportercaristuView Statuspublic 
Assigned Tojecharri 
PriorityurgentResolutionfixedFixed in Version
StatusclosedFix in branchFixed in SCM revision751258826d60
ProjectionnoneETAnoneTarget Version3.0MP18
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product Version3.0MP13SCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0021886: Restrictions in M_PRODUCT_PO can not be enforced

DescriptionTwo restrictions of the M_PRODUCT_PO can be deleted because are not needed and not make sense in some cases.

Table: M_PRODUCT_PO
- VENDORPRODUCTNO not null
- M_PRODUCT_PO_VENDORPRODNO unique constraint

Steps To Reproduce1) Execute ant update.database
2) Check that is not possible to finish it without enforcing all the restrictions.
Proposed SolutionBoth restrictions should be removed
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
has duplicate feature request 0022968 closeddmiguelez It will be nice if the button "Copy Record" of the toolbar will exist in "purchase order" as it does in "sales order" window 
blocks defect 0022339 closedioritzCia Fix to issue 21886 causes an api change. 

-  Notes
(0054311)
hgbot (developer)
2012-11-19 13:16

Repository: erp/devel/pi
Changeset: 751258826d60a1f11caf6e08ebac92dd1a3fd3d4
Author: Ioritz Cia <ioritz.cia <at> openbravo.com>
Date: Thu Nov 15 09:44:09 2012 +0100
URL: http://code.openbravo.com/erp/devel/pi/rev/751258826d60a1f11caf6e08ebac92dd1a3fd3d4 [^]

Fixes issue 21886: Restrictions in M_PRODUCT_PO can not be enforced.

---
M src-db/database/model/tables/M_PRODUCT_PO.xml
M src-db/database/sourcedata/AD_COLUMN.xml
---
(0054397)
hudsonbot (developer)
2012-11-21 06:07

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/c3c5e61b0164 [^]

Maturity status: Test
(0054645)
caristu (developer)
2012-11-28 19:09

Verified

- Issue History
Date Modified Username Field Change
2012-10-09 09:29 caristu New Issue
2012-10-09 09:29 caristu Assigned To => AugustoMauch
2012-10-09 09:29 caristu Modules => Core
2012-10-09 11:17 dmiguelez Assigned To AugustoMauch => jonalegriaesarte
2012-10-23 18:41 jonalegriaesarte Assigned To jonalegriaesarte => jecharri
2012-11-02 14:51 ioritzCia Target Version 3.0MP17 => 3.0MP18
2012-11-19 13:16 hgbot Checkin
2012-11-19 13:16 hgbot Note Added: 0054311
2012-11-19 13:16 hgbot Status new => resolved
2012-11-19 13:16 hgbot Resolution open => fixed
2012-11-19 13:16 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/751258826d60a1f11caf6e08ebac92dd1a3fd3d4 [^]
2012-11-19 13:23 ioritzCia Relationship added blocks 0022339
2012-11-21 06:07 hudsonbot Checkin
2012-11-21 06:07 hudsonbot Note Added: 0054397
2012-11-28 19:09 caristu Review Assigned To => caristu
2012-11-28 19:09 caristu Note Added: 0054645
2012-11-28 19:09 caristu Status resolved => closed
2015-10-30 10:52 ngarcia Relationship added has duplicate 0022968


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker